View Issue Details

IDProjectCategoryView StatusLast Update
0001700SymmetricDSImprovementpublic2014-06-16 20:27
Reporterjosh-a-hicksAssigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.6.0Fixed in Version3.6.0 
Summary0001700: Parameterized the node Id assignment directly from external Id
DescriptionThe new default behavior to assign node Id's will be directly from the external Id. Originally if there id was already present a "-" and sequence would be appended to the node Id ("-0", "-1", "-2" etc). A new parameter was added to turn this sequencing back on if needed.

external.id.is.unique.enabled=false
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 74f977c0

2014-04-29 10:25:09

James

Details Diff
0001700: Changed default node id creator behavior to use external id directly. Parameter available to turn this behavior off and ensure external id uniqueness.
0001700
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/util/DefaultNodeIdCreator.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2014-04-29 10:16 josh-a-hicks New Issue
2014-04-29 10:16 josh-a-hicks Status new => assigned
2014-04-29 10:16 josh-a-hicks Assigned To => josh-a-hicks
2014-04-29 11:00 josh-a-hicks Changeset attached => SymmetricDS trunk r8210
2014-04-29 11:47 chenson Status assigned => resolved
2014-04-29 11:47 chenson Fixed in Version => 3.6.0
2014-04-29 11:47 chenson Resolution open => fixed
2014-06-16 20:27 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 74f977c0